首页
Python
Java
IOS
Andorid
NodeJS
JavaScript
HTML5
【
NX二次开发-UFUN设置工程图PNG图片长度UF_DRF_set_image_width
】的更多相关文章
NX二次开发-UFUN设置工程图PNG图片长度UF_DRF_set_image_width
#include <uf.h> #include <uf_drf.h> UF_initialize(); //插入PNG char* file_name = "D:\\123.png"; ] = { 50.0, 50.0, 0.0 }; tag_t ImageTag = NULL_TAG; UF_DRF_create_image_from_file(file_name, NULL_TAG, origin, &ImageTag); //设置图片高度 UF_…
NX二次开发-UFUN设置工程图PNG图片高度UF_DRF_set_image_height
#include <uf.h> #include <uf_drf.h> UF_initialize(); //插入PNG char* file_name = "D:\\123.png"; ] = { 50.0, 50.0, 0.0 }; tag_t ImageTag = NULL_TAG; UF_DRF_create_image_from_file(file_name, NULL_TAG, origin, &ImageTag); //设置图片高度 UF_…
NX二次开发-UFUN将工程图转成CGM和PDF文件UF_CGM_export_cgm
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX二次开发-UFUN设置环境变量UF_set_variable
NX9+VS2012 #include <uf.h> #include <stdio.h> UF_initialize(); //UFUN方式 //设置环境变量 int a = UF_set_variable("UGII_BASE_DIR", "E:\\BaiduNetdiskDownload"); //读取环境变量 char *ptr; UF_translate_variable("UGII_BASE_DIR", &am…
NX二次开发-UFUN新建工程图UF_DRAW_create_drawing
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_state = UF_DRAW_METRIC_SIZE;…
NX二次开发-UFUN打开工程图UF_DRAW_open_drawing
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_state = UF_DRAW_METRIC_SIZE;…
NX二次开发-UFUN删除工程图UF_DRAW_delete_drawing
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_state = UF_DRAW_METRIC_SIZE;…
NX二次开发-UFUN获取工程图的数量和tag UF_DRAW_ask_drawings
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> #include <uf_ui.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_sta…
NX二次开发-UFUN获取工程图详细信息UF_DRAW_ask_drawing_info
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_state = UF_DRAW_METRIC_SIZE;…
NX二次开发-UFUN添加工程图投影视图UF_DRAW_add_orthographic_view
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_obj.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "Sheet1";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size…
NX二次开发-UFUN创建工程图注释UF_DRF_create_note
NX9+VS2012 #include <uf.h> #include <uf_drf.h> #include <NXOpen/Annotations_Note.hxx> #include <NXOpen/NXObjectManager.hxx> UF_initialize(); //创建注释 char* TextString[] = {"Caesar卢尚宇"}; ] = {,,}; tag_t NoteTag = NULL_TAG; U…
NX二次开发-UFUN设置透明度UF_OBJ_set_translucency
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建块 UF_FEATURE_SIGN Sign = UF_NULLSIGN;//设置布尔 ] = {0.0, 0.0, 0.0};//设置原点 ] = {"};//设置长宽高 tag_t BlkTag = NULL_TAG; UF_MODL_create_block1(Sign, Cor…
NX二次开发-UFUN设置对象线型UF_OBJ_set_font
#include <uf.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建块 UF_FEATURE_SIGN sign = UF_NULLSIGN; ] = { 0.0, 0.0, 0.0 }; ] = { " }; tag_t block_tag = NULL_TAG; UF_MODL_create_block1(sign, block_pt, block_edge, &…
NX二次开发-UFUN将工程图中的点坐标映射到建模绝对坐标UF_VIEW_map_drawing_to_model
#include <uf.h> #include <uf_ui.h> #include <uf_draw.h> #include <uf_view.h> #include <uf_curve.h> UF_initialize(); //在工程图里创建点 ] = { 106.905267, 139.431151 }; //获得图纸页tag ; tag_p_t drawing_tags = NULL_TAG; UF_DRAW_ask_drawings…
NX二次开发-UFUN设置除工作层之外的所有图层的状态UF_LAYER_set_all_but_work
NX11+VS2013 #include <uf.h> #include <uf_ui.h> #include <uf_layer.h> UF_initialize(); //设置除工作层之外的所有图层的状态. UF_LAYER_set_all_but_work(UF_LAYER_ACTIVE_LAYER); UF_terminate(); Caesar卢尚宇 2019年11月13日…
NX二次开发-NXOPEN设置工程图表格注释字体workPart->Fonts()->AddFont("chinesef_fs", NXOpen::FontCollection::TypeNx);
NX9+VS2012 #include <uf.h> #include <uf_tabnot.h> #include <NXOpen/Part.hxx> #include <NXOpen/PartCollection.hxx> #include <NXOpen/Session.hxx> #include <NXOpen/Annotations_TableSectionCollection.hxx> #include <NXOpe…
NX二次开发-UFUN读取工程图注释UF_DRF_ask_text_data
1 NX11+VS2013 2 3 4 #include <uf.h> 5 #include <uf_ui.h> 6 #include <uf_drf.h> 7 8 9 UF_initialize(); 10 11 //创建注释 12 char* TextString[] = { "Caesar卢尚宇" }; 13 double Origin3d[3] = { 100, 100, 100 }; 14 tag_t NoteTag = NULL_TAG;…
NX二次开发-UFUN获取工程图视图边界线颜色UF_DRAW_ask_border_color
#include <uf.h> #include <uf_draw.h> #include <uf_ui.h> UF_initialize(); ; UF_DRAW_ask_border_color(&border_color); ]; sprintf_s(msg, "输出的边界线颜色为:%d", border_color); uc1601(msg, ); UF_terminate(); Caesar卢尚宇 2019年7月1日…
NX二次开发-UFUN获取工程图视图边界线是否显示UF_DRAW_ask_border_display
#include <uf.h> #include <uf_draw.h> #include <uf_ui.h> UF_initialize(); logical border_display; UF_DRAW_ask_border_display(&border_display); if (border_display == true) { uc1601(); } else { uc1601(); } UF_terminate(); Caesar卢尚宇 2019…
NX二次开发-UFUN由工程图视图tag获取图纸页tag UF_DRAW_ask_drawing_of_view
#include <uf.h> #include <uf_draw.h> #include <uf_drf.h> #include <uf_obj.h> UF_initialize(); //找名字获取视图tag tag_t ViewTag = NULL_TAG; UF_OBJ_cycle_by_name(", &ViewTag); //由视图tag获取图纸页tag tag_t DrawingTag = NULL_TAG; UF_DRAW_…
NX二次开发-UFUN移动工程图视图UF_DRAW_move_view
#include <uf.h> #include <uf_draw.h> #include <uf_drf.h> #include <uf_obj.h> UF_initialize(); //获得当前图纸页的tag tag_t drawing_tag = NULL_TAG; UF_DRAW_ask_current_drawing(&drawing_tag); //找名字获取视图tag tag_t ViewTag = NULL_TAG; UF_OBJ_…
NX二次开发-UFUN设置视图边界线显示隐藏UF_DRAW_set_border_display
#include <uf.h> #include <uf_draw.h> #include <uf_drf.h> #include <uf_obj.h> UF_initialize(); //获得当前图纸页的tag tag_t drawing_tag = NULL_TAG; UF_DRAW_ask_current_drawing(&drawing_tag); //找名字获取视图tag tag_t ViewTag = NULL_TAG; UF_OBJ_…
NX二次开发-UFUN获取工程图所有视图tag UF_DRAW_ask_views
#include <uf.h> #include <uf_draw.h> #include <uf_drf.h> #include <uf_obj.h> UF_initialize(); //获得当前图纸页的tag tag_t drawing_tag = NULL_TAG; UF_DRAW_ask_current_drawing(&drawing_tag); //找名字获取视图tag tag_t ViewTag = NULL_TAG; UF_OBJ_…
NX二次开发-UFUN移动工程图视图到另一个图纸页UF_DRAW_move_view_to_drawing
#include <uf.h> #include <uf_draw.h> #include <uf_obj.h> UF_initialize(); //找名字获取视图tag tag_t ViewTag = NULL_TAG; UF_OBJ_cycle_by_name(", &ViewTag); //获得两张图纸页tag ; tag_t* drawing_tags = NULL_TAG; UF_DRAW_ask_drawings(&num_dra…
NX二次开发-Ufun API Example
UF公共类型 UF_begin_timer计时函数 https://www.cnblogs.com/nxopen2018/p/10957135.html UF_end_timer计时函数 https://www.cnblogs.com/nxopen2018/p/11099462.html UF_initialize初始化 https://www.cnblogs.com/nxopen2018/p/10952538.html UF_terminate终止 https://www.cnblogs.c…
NX二次开发-UFUN获取NX系统默认导出CGM的选项设置UF_CGM_ask_default_export_options
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX二次开发-UFUN获取当前导出CGM选项设置UF_CGM_ask_session_export_options
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX二次开发-UFUN修改当前导出CGM文件选项设置UF_CGM_set_session_export_options
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX二次开发-UFUN工程图插入PNG图片UF_DRF_create_image_from_file
#include <uf.h> #include <uf_drf.h> UF_initialize(); //插入PNG char* file_name = "D:\\123.png"; ] = { 50.0, 50.0, 0.0 }; tag_t ImageTag = NULL_TAG; UF_DRF_create_image_from_file(file_name, NULL_TAG, origin, &ImageTag); //设置图片高度 UF_…
NX二次开发-UFUN拉伸函数UF_MODL_create_extruded
NX9+VS2012 //NX二次开发中常用拉伸函数为UF_MODL_create_extruded2,但是此函数不能拉伸片体, //想要拉伸片体用函数UF_MODL_create_extruded. #include <uf.h> #include <uf_curve.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建直线1 UF_CURVE_line_t LineCoords…